Autor Tópico: Meu programa scilab abre e fecha na mesma hora.  (Lida 958 vezes)

Offline julianacouto

  • Usuário Ubuntu
  • *
  • Mensagens: 1
    • Ver perfil
Meu programa scilab abre e fecha na mesma hora.
« Online: 03 de Maio de 2018, 19:30 »
Como faço para conseguir abrir o scilab-6.0.1 no meu ubuntu 16.04? Ja instalei ele, porém quando vou abri-lo ele fecha imediatamente.
Alguém me ajuda... estou precisando muito do programa. :)
« Última modificação: 07 de Maio de 2018, 12:33 por galactus »

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.136
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
Re:ME AJUDEM! meu programa scilab abre e fecha na mesma hora.
« Resposta #1 Online: 04 de Maio de 2018, 11:32 »
Tente abrir o programa numa janela de comandos, veja se alguma mensagem de erro é impressa.
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline wagnerx

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:ME AJUDEM! meu programa scilab abre e fecha na mesma hora.
« Resposta #2 Online: 17 de Julho de 2018, 08:54 »
Tente abrir o programa numa janela de comandos, veja se alguma mensagem de erro é impressa.

Bom dia,
Estou  tendo o mesmo problema. Realizei um teste básico e constatei que ele esta funcionando no modo texto. A

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.136
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
Re:Meu programa scilab abre e fecha na mesma hora.
« Resposta #3 Online: 17 de Julho de 2018, 11:04 »
Esse programa tem modo gráfico?
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline wagnerx

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:Meu programa scilab abre e fecha na mesma hora.
« Resposta #4 Online: 17 de Julho de 2018, 19:45 »
Acredito que sim, cheguei a usar ele no Windows fazendo trabalho na faculdade então acredito que tenha,pois geramos gráficos nele!

Offline Anderson_Coelho

  • Usuário Ubuntu
  • *
  • Mensagens: 507
    • Ver perfil
Re:Meu programa scilab abre e fecha na mesma hora.
« Resposta #5 Online: 18 de Julho de 2018, 11:25 »
Como faço para conseguir abrir o scilab-6.0.1 no meu ubuntu 16.04? Ja instalei ele, porém quando vou abri-lo ele fecha imediatamente.
Alguém me ajuda... estou precisando muito do programa. :)

A versão do repositório oficial do Ubuntu 16.04 é a 5.5.2. Como você instalou essa versão? Se não for do site oficial, baixe  por lá, descompacte o arquivo tar.gz, e execute o arquivo scilab dentro da pasta bin. Mas antes, remova os arquivos de configurações, pode usar o apt purge se tiver instalado por PPA. Execute no terminal e cole a saída aqui caso o problema persista.

Offline wagnerx

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:Meu programa scilab abre e fecha na mesma hora.
« Resposta #6 Online: 26 de Julho de 2018, 19:08 »
Boa noite Anderson Coelho,

Estou usando Ubuntu 18.04 e tentando instalar scilab 6.0.1.

https://www.youtube.com/watch?v=l8DXCGNcYHE

O link acima foi o mais perto que cheguei dele funcionando. Usando o link criado na barra favoritos, o programa continua abrindo e fechando sozinho. Estou iniciando minha experiência no Linux agora.

Offline Anderson_Coelho

  • Usuário Ubuntu
  • *
  • Mensagens: 507
    • Ver perfil
Re:Meu programa scilab abre e fecha na mesma hora.
« Resposta #7 Online: 26 de Julho de 2018, 19:59 »
O método do vídeo é baixar o programa do site do desenvolvedor. Mas para o Ubuntu 18.04, a versão 6.0.1 está nos repositórios. Procura o scilab pela central de softwares, synaptic ou instala pelo terminal com um sudo apt install scilab, como preferir.

Offline wagnerx

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re:Meu programa scilab abre e fecha na mesma hora.
« Resposta #8 Online: 26 de Julho de 2018, 20:52 »
A primeira vez que tentei instalar foi usando a central software ubuntu, depois pelo método do vídeo já mencionado. Usando o terminal o resultado que obtive foi esse:

sudo apt install scilab 6.0.1
A ler as listas de pacotes... Pronto
A construir árvore de dependências       
A ler a informação de estado... Pronto
Note, a seleccionar 'libghc-time-prof-1.6.0.1-fbdf1:i386' para a expressão regular '6.0.1'
Note, a seleccionar 'libzorpll-6.0-10' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-time-dev-1.6.0.1-37aff' para a expressão regular '6.0.1'
Note, a seleccionar 'libzorpll-6.0-10-dev' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-miniutter-dev-0.4.6.0-1899d' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-language-javascript-dev-0.6.0.10-33166:i386' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-simple-smt-prof-0.6.0-13470:i386' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-simple-smt-dev-0.6.0-13470:i386' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-miniutter-prof-0.4.6.0-1899d' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-language-javascript-prof-0.6.0.10-33166:i386' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-time-dev-1.6.0.1-fbdf1:i386' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-language-javascript-dev-0.6.0.10-c3778' para a expressão regular '6.0.1'
Note, a seleccionar 'libcuda-6.0-1' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-time-prof-1.6.0.1-37aff' para a expressão regular '6.0.1'
Note, a seleccionar 'libghc-language-javascript-prof-0.6.0.10-c3778' para a expressão regular '6.0.1'
Note, a seleccionar 'libiso9660-10' para a expressão regular '6.0.1'
Note, a seleccionar 'ghc' em vez de 'libghc-time-dev-1.6.0.1-37aff'
Note, a seleccionar 'ghc-prof' em vez de 'libghc-time-prof-1.6.0.1-37aff'
Note, a seleccionar 'libghc-language-javascript-dev' em vez de 'libghc-language-javascript-dev-0.6.0.10-c3778'
Note, a seleccionar 'libghc-language-javascript-prof' em vez de 'libghc-language-javascript-prof-0.6.0.10-c3778'
Note, a seleccionar 'libghc-miniutter-dev' em vez de 'libghc-miniutter-dev-0.4.6.0-1899d'
Note, a seleccionar 'libghc-miniutter-prof' em vez de 'libghc-miniutter-prof-0.4.6.0-1899d'
Note, a seleccionar 'ghc:i386' em vez de 'libghc-time-dev-1.6.0.1-fbdf1:i386'
Note, a seleccionar 'ghc-prof:i386' em vez de 'libghc-time-prof-1.6.0.1-fbdf1:i386'
Note, a seleccionar 'libghc-simple-smt-dev:i386' em vez de 'libghc-simple-smt-dev-0.6.0-13470:i386'
Note, a seleccionar 'libghc-simple-smt-prof:i386' em vez de 'libghc-simple-smt-prof-0.6.0-13470:i386'
Note, a seleccionar 'libghc-language-javascript-dev:i386' em vez de 'libghc-language-javascript-dev-0.6.0.10-33166:i386'
Note, a seleccionar 'libghc-language-javascript-prof:i386' em vez de 'libghc-language-javascript-prof-0.6.0.10-33166:i386'
Alguns pacotes não puderam ser instalados. Isso pode significar que
você solicitou uma situação impossível ou se você está a usar a
distribuição unstable em que alguns pacotes pedidos ainda não foram
criados ou foram movidos do Incoming.
A seguinte informação pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências não satisfeitas:
 ghc : Depende: gcc mas não vai ser instalado
       Em Conflito: ghc:i386 mas 8.0.2-11 está para ser instalado
 ghc:i386 : Depende: gcc:i386 mas não vai ser instalado
            Em Conflito: ghc mas 8.0.2-11 está para ser instalado
 ghc-prof : Em Conflito: ghc-prof:i386 mas 8.0.2-11 está para ser instalado
 ghc-prof:i386 : Em Conflito: ghc-prof mas 8.0.2-11 está para ser instalado
 libghc-language-javascript-dev : Depende: libghc-blaze-builder-dev-0.4.0.2-2693c
                                  Depende: libghc-mtl-dev-2.2.1-1a6c5
                                  Depende: libghc-utf8-string-dev-1.0.1.1-9093e
                                  Em Conflito: libghc-language-javascript-dev:i386 mas 0.6.0.10-1 está para ser instalado
 libghc-language-javascript-dev:i386 : Depende: libghc-blaze-builder-dev-0.4.0.2-f7bad:i386
                                       Depende: libghc-text-dev-1.2.2.2-4f564:i386
                                       Em Conflito: libghc-language-javascript-dev mas 0.6.0.10-1 está para ser instalado
 libghc-language-javascript-prof : Depende: libghc-blaze-builder-prof-0.4.0.2-2693c
                                   Depende: libghc-mtl-prof-2.2.1-1a6c5
                                   Depende: libghc-utf8-string-prof-1.0.1.1-9093e
                                   Em Conflito: libghc-language-javascript-prof:i386 mas 0.6.0.10-1 está para ser instalado
 libghc-language-javascript-prof:i386 : Depende: libghc-blaze-builder-prof-0.4.0.2-f7bad:i386
                                        Depende: libghc-text-prof-1.2.2.2-4f564:i386
                                        Em Conflito: libghc-language-javascript-prof mas 0.6.0.10-1 está para ser instalado
E: Não foi possível corrigir problemas, você tem pacotes mantidos (hold) estragados.

Offline Anderson_Coelho

  • Usuário Ubuntu
  • *
  • Mensagens: 507
    • Ver perfil
Re:Meu programa scilab abre e fecha na mesma hora.
« Resposta #9 Online: 27 de Julho de 2018, 17:50 »
Aí é outro problema então.

Acho melhor você abrir um tópico específico para o seu caso, colocando essa saída que colocou aqui, o conteúdo da source.list (cat /etc/apt/sources.list) e um ls /etc/apt/sources.list.d/.

Procure usar a opção de # do fórum para formatação, fica mais fácil visualizar assim.

Não dá ter certeza se vai resolver, mas o mais indicado é usar o pacote do repositório mesmo.